View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17  package guessNumber;
    18
    19  import java.io.Serializable;
    20
    21  /***
    22   * <p>
    23   * Bean class holding a tree item.
    24   * </p>
    25   *
    26   * @author <a href="mailto:dlestrat@apache.org">David Le Strat</a>
    27   * */
    28  public class TreeItem implements Serializable
    29  {
    30      private int id;
    31
    32      private String name;
    33
    34      private String isoCode;
    35
    36      private String description;
    37
    38
    39      /***
    40       * @param id The id.
    41       * @param name The name.
    42       * @param isoCode The isoCode.
    43       * @param description The description.
    44       */
    45      public TreeItem(int id, String name, String isoCode, String description)
    46      {
    47          this.id = id;
    48          this.name = name;
    49          this.isoCode = isoCode;
    50          this.description = description;
    51      }
    52
    53      /***
    54       * @return Returns the description.
    55       */
    56      public String getDescription()
    57      {
    58          return description;
    59      }
    60
    61      /***
    62       * @param description The description to set.
    63       */
    64      public void setDescription(String description)
    65      {
    66          this.description = description;
    67      }
    68
    69      /***
    70       * @return Returns the id.
    71       */
    72      public int getId()
    73      {
    74          return id;
    75      }
    76
    77      /***
    78       * @param id The id to set.
    79       */
    80      public void setId(int id)
    81      {
    82          this.id = id;
    83      }
    84
    85      /***
    86       * @return Returns the isoCode.
    87       */
    88      public String getIsoCode()
    89      {
    90          return isoCode;
    91      }
    92
    93      /***
    94       * @param isoCode The isoCode to set.
    95       */
    96      public void setIsoCode(String isoCode)
    97      {
    98          this.isoCode = isoCode;
    99      }
    100
    101     /***
    102      * @return Returns the name.
    103      */
    104     public String getName()
    105     {
    106         return name;
    107     }
    108
    109     /***
    110      * @param name The name to set.
    111      */
    112     public void setName(String name)
    113     {
    114         this.name = name;
    115     }
    116 }